.dealcard-container{
    display:grid;
    grid-template-columns: 1fr;
    grid-gap:16px;
   
}

@media(min-width:1024px){
    .dealcard-container{
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

@media(min-width:40em){
    .dealcard-container{
        grid-template-columns: 1fr 1fr 1fr;
        grid-gap:24px;
        padding:24px;
    }
}

@media(min-width:321px){
    .dealcard-container{
        padding:16px;
    }
}